Bug 1488639 - dnf package install very slow, scriptlet related?
Summary: dnf package install very slow, scriptlet related?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 26
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-05 22:54 UTC by Ben Greear
Modified: 2019-10-21 04:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-20 11:08:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Ben Greear 2017-09-05 22:54:59 UTC
Description of problem:

Installed a clean Fedora-26 Mate spin, did 'dnf update', and
then ran a script that installed a bunch of other packages.  Many
of them spent a long time running 'scriptlets'.  Fedora-24 is much
faster installing the same packages.


Version-Release number of selected component (if applicable):


How reproducible:

2/2 so far.


Steps to Reproduce:
1. Install Fedora-26 Mate
2. dnf update
3. dnf install [freeradius] (for instance)

Actual results:

Seems to work, but it hangs for a while running scripts.

Expected results:

Should run faster, similar to Fedora-24, for instance.

Additional info:

Comment 1 Igor Gnatenko 2017-09-06 14:47:02 UTC
please run dnf with --rpmverbosity=debug and paste output... and tell which exact scriptlet takes long to run.

Comment 2 Ben Greear 2017-09-06 17:24:15 UTC
I notice that the --rpmverbosity=debug does not add any timestamps, so it would not be obvious from the logs what is taking a long time.  I tried a simple test of removing and re-adding freeradius, and that was not too slow this time, so probably I will have to reproduce using a more complex command (which is going to generate a large amount of logs).  Is there any way to get timestamps in the output so you we can see exactly what is taking a long time?

Comment 3 Daniel Mach 2017-09-20 11:08:28 UTC
This doesn't seem to be something DNF can fix.
The fix has to be made in individual scriptlets.

Comment 4 John 2019-10-21 04:21:09 UTC
This is a bug.

I've just updated a bunch of packages on RHEL 8, and the amount of time spent running stupid little scriptlets was obscene.

There is no excuse for it.
It is no good saying the fix needs to be made in individual scriptlets, when suddenly, in EL8, it seems almost every rpm runs a scriptlet, and they're all dog slow.

It's just pathetic.

Comment 5 John 2019-10-21 04:25:09 UTC
oh my god the cleanup stage is also running scriptlets and some of them are slow too, this is just unbelievable.


Note You need to log in before you can comment on or make changes to this bug.